%bcond_without tarball

%define date 20140707

Summary:	Rules for SpamAssassin
Name:		spamassassin-rules
Version:	3.4.0
Release:	%{date}.1
License:	Apache License
Group:		Networking/Mail
Url:		http://spamassassin.org/
%if %{with tarball}
# sa-update --gpghomedir . --channel updates.spamassassin.org --updatedir .
Source0:	updates-%{date}.tar.bz2
%endif
Requires:	spamassassin > 3.3.0
Conflicts:	spamassassin < 3.3.0
%if %{without tarball}
Buildrequires:	gnupg
Buildrequires:	spamassassin
%endif
BuildArch:	noarch

%description
This package contains the default rules for SpamAssassin.

WARNING: These rules may be old at install time. This package is NOT
supported by Rosa. You should immediately update your rules set as
explained in the official SpamAssassin documentations.

%files
%attr(0644,root,root) %{_datadir}/spamassassin/*.cf

#----------------------------------------------------------------------------

%prep
%setup -q -c -T -n %{name}-%{version}
%if %{with tarball}
tar -xf %{SOURCE0}
%else
sa-update --gpghomedir . --channel updates.spamassassin.org --updatedir .
%endif

%build

%install
install -d %{buildroot}%{_datadir}/spamassassin
install -m0644 updates_spamassassin_org/*.cf %{buildroot}%{_datadir}/spamassassin/


%changelog
* Mon Jul 07 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.4.0-20140707.1
+ Revision: 18a3eb0
- Store rules in tarball and bump version to match current spamassassin


